#ifndef DUMPDIALOG_H
#define DUMPDIALOG_H

#include <QDialog>
#include <QProcess>
#include <QFileDialog>

namespace Ui {
    class DumpDialog;
}

struct Image {
    QString name;
    QByteArray data;
    int w;
    int h;
};

class DumpDialog : public QDialog
{
    Q_OBJECT

public:
    explicit DumpDialog(QWidget *parent, QStringList);
    ~DumpDialog();

public slots:
    void processNextSWF();
    void convertData();
    void convertFinished(int);
    void convertError(QProcess::ProcessError);
    void processNextImage();
    void dirSelected(QString);
    void updateContainerString();
    void updateResourceString();

Q_SIGNALS:
    void nextSWF();
    void nextImage();

private:
    QFileDialog* dirsel;
    Ui::DumpDialog *ui;
    QStringList queue;
    QString currentswf;
    QString dir;
    QByteArray data;
    QProcess active;
    int total, current;
    int imgt, imgc;
    QList<Image*> imgqueue;
};

#endif // DUMPDIALOG_H
