#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QListWidgetItem>
#include <QProcess>
#include <QXmlReader>
#include <QDomDocument>
#include <QFileDialog>

#include <swfcontainer.h>
#include <swfresource.h>

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

    static QDomNode findChild(QDomNode* par, QString name);
    static QList<QDomNode> findChildren(QDomNode* par, QString name);
    static QString getAttribute(QDomNode*, QString attr);

public slots:
    void processNextSWF();
    void convertData();
    void convertFinished(int);
    void convertError(QProcess::ProcessError);
    void containerChanged(QListWidgetItem*,QListWidgetItem*);
    void resourceChanged(QListWidgetItem*,QListWidgetItem*);
    void setDirectory(QString);
    void selectDirectory();
    void dumpCurrentSWF();

Q_SIGNALS:
    void nextSWF();

private:
    void updatePerc();

    QHash<QString, SWFContainer*> containers;

    QFileDialog* dirsel;

    bool busy;
    int total, current;
    QString currentswf;
    QListWidgetItem* load;
    Ui::MainWindow *ui;
    QStringList queue;
    QProcess active;
    //QXmlSimpleReader reader;
    //QXmlInputSource* source;
    QByteArray data;

};

#endif // MAINWINDOW_H
