#ifndef SWFCONTAINER_H
#define SWFCONTAINER_H

#include <QListWidgetItem>
#include <QDomDocument>
#include <QProcess>
#include <QPicture>
#include <QHash>
#include <QLabel>
#include <QPixmap>

class SWFResource;

class SWFContainer : public QObject
{
    Q_OBJECT
public:
    explicit SWFContainer(QString name);
    virtual ~SWFContainer();
    QHash<QString, SWFResource*> resources;
    QListWidgetItem* widget;

    QString filename;

    void fetchImage(int objectID, QLabel*);
    void abort();

public slots:
    void convertData();
    void convertFinished(int);
    void convertError(QProcess::ProcessError);

private:
    QString name;

    QPixmap pixmap;

    QLabel* place;
    QProcess* active;
    QByteArray data;
    int imgid;
};

#endif // SWFCONTAINER_H
